#ifndef _UDM_SDP_H
#define _UDM_SDP_H

/* Connect/Close */
extern int  UdmSearchdConnect(UDM_AGENT * query,UDM_SDCLIENT * cl);
extern void UdmSearchdClose(UDM_AGENT * query,UDM_SDCLIENT * cl);
extern UDM_RESULT * UdmSearchdFind(UDM_AGENT * query,const char * q);

/* Packet routines */
extern ssize_t UdmSearchdSendData(UDM_SDCLIENT *cl,const void * data,size_t len);
extern ssize_t UdmSearchdRecvData(UDM_SDCLIENT *cl,void * data,size_t len);
extern ssize_t UdmSearchdSendPacket(UDM_SDCLIENT *cl,const UDM_SEARCHD_PACKET_HEADER * hdr,const void * data);

extern UDM_RESULT * UdmCloneListSearchd(UDM_AGENT * Indexer,UDM_DOCUMENT * Doc);

/* SD client list */
extern UDM_SDCLLIST * UdmSDClientListInit(UDM_SDCLLIST * List);
extern size_t UdmSDCLientListAdd(UDM_SDCLLIST * List,const char * addr);
extern  void  UdmSDClientListFree(UDM_SDCLLIST * List);

#endif
